FROM ubuntu:16.04 as ruby-image

RUN apt-get update -q \
    && apt-get install -y \
         autoconf \
         g++ \
         gcc \
         git \
         make \
         curl \
         zlib1g-dev \
         libssl-dev \
         locales \
    && apt-get autoremove -yq \
    && apt-get clean -yqq \
    && rm -rf /var/lib/apt/lists/*

RUN echo "en_US.UTF-8 UTF-8" > /etc/locale.gen \
    && locale-gen en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US:en
ENV LC_ALL en_US.UTF-8

<%= Snippets.new(include: %w[versions ruby]).populate %>

FROM ruby-image as builder

# Install required packages
RUN apt-get update -q \
    && DEBIAN_FRONTEND=noninteractive apt-get purge -yq git \
    && DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
         build-essential \
         autoconf \
         automake \
         autopoint \
         byacc \
         clang \
         libclang1-6.0 \
         libyaml-dev \
         libffi-dev \
         libkrb5-dev \
         libreadline-dev \
         libgdbm-dev \
         libncurses5-dev \
         libllvm6.0 \
         bzip2 \
         ca-certificates \
         openssh-server \
         libcurl4-openssl-dev \
         libexpat1-dev \
         gettext \
         libz-dev \
         fakeroot \
         ccache \
         distcc \
         unzip \
         tzdata \
         apt-transport-https \
         pkg-config \
         python3

<%= Snippets.new(exclude: %w[ruby]).populate %>

FROM ubuntu:16.04
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
